package com.sifang.modules.sunshine.fittingManager.entity;


import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_platform_fitting_refund")
public class CrmPlatformFittingRefund {
	//申请状态：0.未返厂 1.已发货 2.已完成 3.已取消 4.已删除，默认1
	public static final String STATUS_START = "0";
	public static final String STATUS_SHIPED = "1";
	public static final String STATUS_FINISHED = "2";
	public static final String STATUS_CACEL = "3";

	//备件类型：0旧件返厂 1新件返厂，默认0
	public static final String FITTING_TYPPE_OLD = "0";
	public static final String FITTING_TYPPE_NEW = "1";

	//邮费支付方式：  0厂商到付   1服务商现付
	public static final String POSTAGETYPE_DAO = "0";
	public static final String POSTAGETYPE_XIAN = "1";

	private String id;
	private String number;
	private String siteId;
	private String siteName;
	private String marks;
	private String applyId;
	private String orderId;
	private String orderNumber;
	private String status;
	private String fittingCode;
	private String fittingVersion;
	private String fittingName;
	private String fittingImg;
	private BigDecimal refundNum;
	private Date createTime;
	private Date sendTime;
	private String logisticsNames;
	private String logisticsNumber;



	private  String confirmName;
	private Date endTime;
	private String creator;
	private String creatorId;
	private String creatorType;
	private Date updateTime;
	private String updateName;
	private String deliveryName;
	private String deliveryMobile;
	private String deliveryAddress;
	private String logisticsImgs;
	private String postageType;
	private String backName;

	@Id
	@GeneratedValue(generator = "idGenerator")
	@GenericGenerator(name = "idGenerator", strategy = "uuid")

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getSiteId() {
		return siteId;
	}

	public void setSiteId(String siteId) {
		this.siteId = siteId;
	}



	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getMarks() {
		return marks;
	}

	public void setMarks(String marks) {
		this.marks = marks;
	}

	public String getApplyId() {
		return applyId;
	}

	public void setApplyId(String applyId) {
		this.applyId = applyId;
	}

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}


	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getFittingCode() {
		return fittingCode;
	}

	public void setFittingCode(String fittingCode) {
		this.fittingCode = fittingCode;
	}

	public String getFittingVersion() {
		return fittingVersion;
	}

	public void setFittingVersion(String fittingVersion) {
		this.fittingVersion = fittingVersion;
	}

	public String getFittingName() {
		return fittingName;
	}

	public void setFittingName(String fittingName) {
		this.fittingName = fittingName;
	}

	public String getFittingImg() {
		return fittingImg;
	}

	public void setFittingImg(String fittingImg) {
		this.fittingImg = fittingImg;
	}

	public BigDecimal getRefundNum() {
		return refundNum;
	}

	public void setRefundNum(BigDecimal refundNum) {
		this.refundNum = refundNum;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getSendTime() {
		return sendTime;
	}

	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public String getLogisticsNames() {
		return logisticsNames;
	}

	public void setLogisticsNames(String logisticsNames) {
		this.logisticsNames = logisticsNames;
	}

	public String getLogisticsNumber() {
		return logisticsNumber;
	}

	public void setLogisticsNumber(String logisticsNumber) {
		this.logisticsNumber = logisticsNumber;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public String getDeliveryName() {
		return deliveryName;
	}

	public void setDeliveryName(String deliveryName) {
		this.deliveryName = deliveryName;
	}

	public String getDeliveryMobile() {
		return deliveryMobile;
	}

	public void setDeliveryMobile(String deliveryMobile) {
		this.deliveryMobile = deliveryMobile;
	}

	public String getDeliveryAddress() {
		return deliveryAddress;
	}

	public void setDeliveryAddress(String deliveryAddress) {
		this.deliveryAddress = deliveryAddress;
	}

	public String getLogisticsImgs() {
		return logisticsImgs;
	}

	public void setLogisticsImgs(String logisticsImgs) {
		this.logisticsImgs = logisticsImgs;
	}

	public String getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

	public String getCreatorType() {
		return creatorType;
	}

	public void setCreatorType(String creatorType) {
		this.creatorType = creatorType;
	}

	public String getPostageType() {
		return postageType;
	}

	public void setPostageType(String postageType) {
		this.postageType = postageType;
	}
	public String getConfirmName() {
		return confirmName;
	}

	public void setConfirmName(String confirmName) {
		this.confirmName = confirmName;
	}
	public String getBackName() {
		return backName;
	}

	public void setBackName(String backName) {
		this.backName = backName;
	}

}
